<?
// start output buffering at the top of our script with this simple command
// we've added "ob_postprocess" (our custom post processing function) as a parameter of ob_start
ob_start('ob_postprocess');

# check mpc-config.php
if(file_exists('mpc-config.php')){
require('mpc-config.php');

		# check !num mysql = 0
		mysql_query("select * from ".$db_prefix."setting") or header('location: install.php') or die();
		#

require "conf.inc.php";
foreach($ip_blocked as $ip){
if($ip==$ip_address){
die('<html><head><style type="text/css">a{color: #21759b;font-size:13px;text-decoration:none;}a:link{color: #21759b;font-size:13px;text-decoration:none;}a:hover {color: #d54e21;font-size:13px;text-decoration:none;}</style><meta content="text/html; charset=utf-8" http-equiv=Content-Type><title>دسترسی شما به سایت مسدود شده است</title></head><body><div align="center" dir="rtl" style="font-family:tahoma; font-size:12px;"><br /><br /><br /><br /><br /><br />دسترسی شما به سایت با آی پی <strong>'.$ip_address.'</strong> مسدود شده است.<br /><br />برای رفع این مشکل با ایمیل <a href="mailto:'.EMAILREPLY.'">'.EMAILREPLY.'</a> در تماس باشید.</div></body></html>');
}
}
			
}else{
header('location: include/error_config.php') or die();
}
####################################
$setting = mysql_query("select * from ".$db_prefix."setting");
while($vsetting = mysql_fetch_array($setting)){

if($vsetting['status']==0){
header('location: info.php') or die();
}else{
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Keywords" content="<? echo $vsetting["keywords"].',پشتیبانی,پشتیبانی ام پی سی شارژ,ساپورت,support,supporter';?>" > 
<meta name="description" content="<? echo $vsetting["description"].'پشتیبانی سایت,پشتیبانی,support';?>"> 
<link rel="shortcut icon" href="favicon.ico"> 
<title>پشتیبانی</title>
<script src="js/tooltip.js" language="javascript"></script>
<link href="css/support.css" rel="stylesheet" type="text/css"/>
</head>
<?php flush(); ?>
<body>
<noscript>
<div align="right" dir="ltr" style="padding:5px;"><span dir="rtl" style="font-family:tahoma; font-size:11px;">لطفا جاوا اسكريپت مرورگر خود را براي استفاده از امكانات سايت فعال نماييد.</span> &nbsp;<img src="img/pwd_warning.gif" width="16" height="16" align="absmiddle" /></div>
</noscript>
<div align="center">
<table width="947" height="502" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td valign="top" style="background:url(img/support.png) no-repeat"><div align="center" style="width:36%;"><a href="index.php"><img src="img/logo.gif" border="0" style="margin-top:10px; margin-left:10px" title="برگشت به صفحه اصلی"/></a></div>
      <center><div style="margin-top:60px; margin-right:5px; width:850px" align="right"><div style="width:650px; float:left"><div style="line-height:52px" align="right" dir="rtl"><? $xtime = explode(",",SUPPORTTIME); echo SUPPORTTEL.' (همه روزه '.$xtime[0].' الی '.$xtime[1].' , جمعه ها و روز های تعطیل '.$xtime[2].' الی '.$xtime[3].')';?></div><div style="line-height:41px" align="right"><a href="mailto:<? echo SUPPORTMAIL;?>"><? echo SUPPORTMAIL;?></a></div>
      </div><div style="width:200px"><div style="width:130px; float:left; line-height:50px" align="center">تلفن</div>
      <div style="width:50px; padding:7px"><img src="img/Telephone.gif" width="48" height="39" /></div>
      <div style="width:130px; float:left; line-height:39px" align="center">پست الکترونیک</div><div style="width:50px; padding:7px"><img src="img/mail.gif" width="36" height="26" /></div>
      </div>
      </div><br /><div align="center" style="width:850px"><? include "yahoo.php";?></div><div style="margin-top:20px; margin-right:5px; width:850px" align="center"><? echo $vsetting["support_text"];?></div>
      </center></td>
    </tr>
</table>
<div style="color:#ffffff" dir="rtl"><? echo $vsetting["footer"];?><br />طراحی سایت توسط <a href="http://mpc-designer.com">شرکت ام پی سی دیزاینر</a></div>
<br />
<? echo $vsetting["more_code"];?>
</div>
</body>
</html>
<? } }

// end output buffering and send our HTML to the browser as a whole
ob_end_flush();
 
// ob_postprocess is our custom post processing function
function ob_postprocess($buffer)
{
   # بهینه سازی HTML با حذف فضاهای خالی
   $buffer = trim(preg_replace('/\s+/', ' ', $buffer));
   return $buffer;
   # فشرده سازی HTML با gzip
   if(strpos($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip') !== FALSE)
    {
        $buffer = gzencode($buffer);
        header('Content-Encoding: gzip');
    }
   return $buffer;
   # اضافه کردن acronyms به HTML
   $acronyms['html'] = 'hypertext markup language';
    $acronyms['css'] = 'cascading style sheets';
    foreach($acronyms as $acronym => $meaning)
    {
        $buffer = preg_replace('/(\b' . $acronym . '\b)(?=[^>]*<)/i', '<acronym title="' . $meaning . '">\\1</acronym>', $buffer);
    }
    return $buffer;
	# انکود کردن کاراکترها
	 // add styled double quotes
    $buffer = preg_replace('/"(?=[^>]*<)([^"]*)"(?=[^>]*<)/u', '“\\۱”', $buffer);
    // add styled apostrophes
    $buffer = preg_replace("/'(?=[^>]*<)/i", "’", $buffer);
    // add ellipses
    $buffer = str_replace('...', '…', $buffer);
    // encode ampersands
    $buffer = str_replace('&', ' & ', $buffer);
    return $buffer;
}
?>